TekCERT full changelog
TekCERT 2.7.3
released May 10, 2021 (Minor Update)
ACME (RFC 8555) support and ability to sign certificate through Let’s Encrypt service
TekCERT 2.7.2
released Jan 6, 2020 (Minor Update)
Built-in SCEP server (SP License is required). Timestamp request generation and signing based on RFC 3161 (Commercial license is required). OCSP (RFC 5912) support and OCSP responder service.
TekCERT 2.7.1
released Aug 6, 2019 (Minor Update)
Built-in SCEP server (SP License is required). Timestamp request generation and signing based on RFC 3161 (Commercial license is required). OCSP (RFC 5912) support and OCSP responder service.
TekCERT 2.7.0
released Jan 2, 2019 (Minor Update)
Timestamp request generation and signing based on RFC 3161 (Commercial license is required). OCSP (RFC 5912) support and OCSP responder service.
TekCERT 2.5.0
released Aug 15, 2018 (Minor Update)
OCSP (RFC 5912) support and OCSP responder service
TekCERT 2.4.3
released May 27, 2018 (Minor Update)
A new function to renew a certificate keeping existing key added to certificate list context menu
TekCERT 2.4.1
released Jan 13, 2018 (Minor Update)
.NET Framework 4.6.1 upgrade
TekCERT 2.4.0
released May 31, 2017 (Major Update)
.NET Framework 4.6.1 upgrade
TekCERT 2.3.0
released Mar 11, 2017 (Major Update)
New and improved GUI, certificate conversation functions
TekCERT for Windows 7 - free download notice
Windows 7 Download periodically updates software information of TekCERT from the publisher.
« BACK
My Account
Help
Windows 7 Software Coupons
-
WinX HD Video Converter
56% Off -
WinX DVD Ripper
50% Off -
MacX Video Converter Pro
56% Off -
WinX DVD Copy Pro
42% Off -
MacX DVD Ripper Pro
50% Off
My Saved Stuff
You have not saved any software.
Click "Save" next to each software.
Click "Save" next to each software.
Would you like to receive announcements of new versions of your software by email or by RSS reader? Register for FREE!
Windows 7 Downloads Picks
- DiskCryptor 1.1.846.118
- Age of Empires III: The Asian Dynasties 1.3.1
- Mime Tool 2.2.8.11
- OpenVPN 2.6.19 I001
- Folder Encryption Fairy 4.6
- OpenVPN Connect for iOS 3.5.1.3946
- InTouch Lock 3.7
- Lavasoft File Shredder 2009 7.7.0.2
- BestCrypt Volume Encryption 5.14.2
- Age of Empires III 1.2.1
- Passware Encryption Analyzer Professional 4.3
- Lavasoft Privacy Toolbox 7.7.0.2
- Rohos Disk Encryption 3.2
- Rohos Disk Encryption 3.2
- Gili CD DVD Encryption 3.2.0
- Encrypt4all Professional Edition 2.3
- AutoKrypt 13.10
- Secure-Me 2.9
- TrueCrypt 7.2
- SteganographX Plus 2.0
Popular Tags
password
files
disk encryption
aes
pdf
blowfish
software
free
encryption software
encryption
encrypt
hide
email
password protect
decryption
protect
file
folder
data encryption
disk
rijndael
secure
privacy
encrypt file
cryptography
decrypt
security
lock
protection
file encryption
Popular Windows 7 Software
- VPNBook
- IObit Malware Fighter 13.2.0.1635
- Microsoft Safety Scanner 1.449.489.0 (May 7,
- Malwarebytes Chameleon 3.1.33.0
- Free Folder Lock 2.3.8.8
- DualSafe Password Manager 1.4.0.14
- Deep Freeze 8.71.20.5734
- 7thShare Folder Lock Pro 2.3.8.8
- EventSentry Light 6.0.1.48
- Top Data Protector 3.1.0.18
- Sandboxie 1.17.5 Plus
- imyPass iPassBye 1.0.16
- Advanced SystemCare Ultimate 18.2.0.91
- imyPass iPassGo 1.0.52
- Alternate Password DB 3.710
© 2026 Windows7Download.com - All logos, trademarks, art and other creative works are and remain copyright and property of their respective owners. Microsoft Windows is a registered trademarks of Microsoft Corporation. Microsoft Corporation in no way endorses or is affiliated with windows7download.com.



